
$('body').on('keypress', '.floats', function (event) {


    if (event.which != 46 && (event.which < 47 || event.which > 59))
    {
        event.preventDefault();
        if ((event.which == 46) && ($(this).indexOf('.') != -1)) {
            event.preventDefault();
        }
    }
});
$('body').on('keypress', '.nummbers', function (e) {

    if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
            event.preventDefault();
    }  
});




$('body').on('change', '.checkcolumn', function () {
     var table = $(this).attr('data-table');
     var tablecol = $(this).attr('data-tablecol');
     var tablecolval = $.trim($(this).val());
     var tableid = $(this).attr('data-tableid');
     var parentid = $(this).attr('data-parentid');
     var parentcol = $(this).attr('data-parentcol');
     var thisinput = $(this);
      $.post('studentControllerAjax.php?do=checkcolumn', {table: table ,tablecol: tablecol, tablecolval: tablecolval, 
        tableid: tableid, parentid: parentid ,parentcol: parentcol}, function (result) {
          var placeholder = $(thisinput).attr('placeholder');  
          if (result == 1) {
              alert( placeholder + ' مضاف من قبل  ');          
              $(thisinput).val("");                       
          }
      });
     
});

$('body').on('click', '.studentformajax', function () {
    if ($("#studentformajax").valid() === true) {
        $('.studentformajax').prop("disabled", true);
        $('.studentformajax').css("background", "red");
        if ($('.checkcolumn').length > 0) {
            var checkcolumn = 0;
            $(".checkcolumn").each(function( ) {
             var table = $(this).attr('data-table');
             var tablecol = $(this).attr('data-tablecol');
             var tablecolval = $.trim($(this).val());
             var tableid = $(this).attr('data-tableid');
             var parentid = $(this).attr('data-parentid');
             var parentcol = $(this).attr('data-parentcol');
             var thisinput = $(this);
                 $.post('studentControllerAjax.php?do=checkcolumn', {table: table ,tablecol: tablecol, tablecolval: tablecolval, 
                    tableid: tableid, parentid: parentid ,parentcol: parentcol}, function (result) {
                      var placeholder = $(thisinput).attr('placeholder');  
                      if (result == 1) {
                        alert( placeholder + ' مضاف من قبل  ');          
                        $(thisinput).val("");    
                        checkcolumn += 1;               
                      }
                });
            });
            if (checkcolumn == 0) {
                $("#studentformajax").submit(); 
            }
        }else{
            $("#studentformajax").submit();
        }
    } else {
        $('.studentformajax').prop("disabled", false);
    }
});

$('form#studentformajax').submit(function (e) {
    e.preventDefault();
        var action = $('#studentformajax').attr('action');
        var dosave = $('#studentformajax').attr('data-dosave');
        var formData = new FormData(this);
        $.ajax({
            url: action+dosave,
            type: 'POST',
            dataType: 'json',
            data: formData,
            success: function (data) {
                console.log(data);
                
                if (data > 0)
                {
                 
                    if(action == 'studentsPay.php'){
                        window.open(action+'?do=printdata&id='+data, '_blank');
                        $.post('studentsPay.php?do=getstudentid', {studentspayid: data}, function (data2) {
                            $('#studentspaysend').attr('data-id', $.trim(data2));
                            $('#exampleModal').modal('show');
                            
                        });
                      
                    }else{
                    window.location = action+'?do=show';  
                    }
                    
                    
                     
                } else { 
                   
                    window.location = action;
                }                   
            },
            cache: false,
            contentType: false,
            processData: false
        });
    
});


selectRefresh2();
function selectRefresh2(){
    $('select.selectnew').select2({
        width:'100%'
    });
}
 
 fetch_data();
 function fetch_data(start_date='', end_date='' , del='' , data1='', data2='', data3='')
 {
  var linkcon = $("#getajaxdata").attr('data-controll');
  var table = $('#getajaxdata');
  var dataTable = $('#getajaxdata').DataTable({
      "processing": true,
        "serverSide": true,
   "lengthMenu" : [[100, 200, 300, 400, 500, -1],[100, 200, 300, 400, 500, "All"] ],
   "language": {
            "emptyTable": "لا يوجد بيانات متاحه",
            "infoEmpty": "لا يوجد بيانات متاحه",
            "infoFiltered": "(filtered1 from _MAX_ total records)",
            "lengthMenu": "العدد _MENU_",
            "search": "بحث:",
            "zeroRecords": "No matching records found",
            "paginate": {
                "previous": "السابق",
                "next": "التالى",
                "last": "الاخير",
                "first": "الاول"
            }
        },
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                exportOptions: {
                     columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                }
            },
            {
                extend: 'csvHtml5',
                exportOptions: {
                     columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                }
            },
            {
                extend: 'print',
                exportOptions: {
                     columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                }
            },
            {
                extend: 'excelHtml5',
                exportOptions: {
                     columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                }
            },
            {
                extend: 'pdfHtml5',
                exportOptions: {
                    columns: [ 1, 2, 3, 4, 5, 6 , 7 ]
                }
            },
            'colvis'
        ],
   "dom": "<'row' <'col-md-12'B>><'row'<'col-md-6 col-sm-12'l><'col-md-6 col-sm-12'f>r><'table-scrollable't><'row'<'col-md-5 col-sm-12'i><'col-md-7 col-sm-12'p>>" ,
   "order": [[0, "desc"]],
   "displayLength": 100,
   "columnDefs": [
        {"className": "dt-center", "targets": "_all"}
      ],
   "ajax" : {url:linkcon,
    type:"POST",
    data:{
     start_date:start_date, 
     end_date:end_date,
     del:del, 
     data1:data1, 
     data2:data2,
     data3:data3,
    }
   }
  });

 }

 $('body').on('change', '.searchdata', function () {
  var start_date = $('#start_date').val();
  var end_date = $('#end_date').val();
  var del = $("#del").attr("checked") ? 1 : '';
  var data1 =$("input[name=data1]").val();
  var data2 =$("input[name=data2]").val();
  var data3 = $("#data3").val();  
   $('#getajaxdata').DataTable().destroy();
   fetch_data(start_date, end_date, del, data1, data2, data3);
  
 }); 




$(".getselectjoin").select2({
    allowClear: true,
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'projectControllerAjaxnew.php?do=getselectjoin',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var itr = $(this).attr('data-itr');
                var parentcol = $(this).attr('data-parent');
                var parentid = $('#'+parentcol+itr).val();
                var placeholder = $('#'+parentcol+itr).attr('data-placeholder');  
                if (parentcol != '' && parentid == '') {
                    alert(' يجب اختيار  '+placeholder+' اولآ');
                    return false;
                }
               

                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    table: $(this).attr('data-table'),
                    join: $(this).attr('data-join'),
                    filter: $(this).attr('data-filter'),
                    tableid: $(this).attr('data-tableid'),
                    parentid: parentid,
                    parentcol : parentcol,
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});


$('body').on('click', '.removeteble', function () {
    var id = $(this).attr('data-id');
    var table = $(this).attr('data-table');
    if (confirm('هل انت متاكد من الحذف ؟')) {
        var thisis = $(this);
        $.post('studentControllerAjax.php?do=removeteble', {id: id, table: table}, function (data) {
            if (data == 1) {
                thisis.parent().parent().remove();
            }else{
               alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});



$('body').on('change', '#projectchosse', function () {
    var id = $(this).val();
    $.post('projectControllerAjaxnew.php?do=projectchosse', {id: id}, function (result) {
        $('#projectstages').html(result);
    });
});


$('body').on('click', '.addappend', function () {
    var link = $(this).attr('data-link');
    var container = $(this).attr('data-container');
    var dataitr = $(this).attr('data-itr');
    var itr = Number($('#'+container+'itr'+dataitr).val());
    $.post(link+'?do=addappend', {dataitr: dataitr, itr: itr, container: container,views: $(this).attr('data-views')}, function (result) {
        $('.'+container+'container'+dataitr).append(result);
        $('#'+container+'itr'+dataitr).val(itr + 1);
        selectRefresh2();
        awdatepickers();
    });
});

function awdatepickers(){
    $('.awdatepicker').datepicker({
      todayBtn:'linked',
      format: "yyyy-mm-dd",
      autoclose: true
     });
 
}

$('body').on('click', '.removeappend', function () {
    var editcheck = $(this).attr('data-edit');
    var id = $(this).attr('data-id');
    var container = $(this).attr('data-container');
    var link = $(this).attr('data-link');
    var table = $(this).attr('data-table');
    var thisis = $(this);
    if (confirm('هل انت متاكد من الحذف ؟')) {
        if (editcheck == 1) {
            $.post(link+'?do=removeappend', {id: id, container: container, table: table,editcheck: editcheck}, function (data) {
                if (data == 1) {
                    $('#'+container+'remove'+editcheck+id).remove();
                }else{
                     alert('حدث خطأ أثناء التنفيذ');
                }
            });
        } else {
            $('#'+container+'remove'+editcheck+id).remove();
        }
        var durations = 0;
        $(".durations").each(function( ) {
        durations += Number($(this).val());
        });
        $("#durations").html(durations);

        var amounts = 0;
        $(".amounts").each(function( ) {
        amounts += Number($(this).val());
        });
        $("#amounts").html(amounts);
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});




$('body').on('click', '.removecontroller', function () {
    var id = $(this).attr('data-id');
    var controll = $(this).attr('data-controll');
    if (confirm('هل انت متاكد من الحذف ؟')) {
        var thisis = $(this);
        $.post(controll+'.php?do=removecontroller', {id: id}, function (data) {
            if (data == 1) {
                thisis.parent().parent().remove();
            }else{
               alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});



$(".getselectmultiple").select2({
    allowClear: true,
    // minimumInputLength: 2,
    multiple: true,
    quietMillis: 100,
    ajax: {
        url: 'studentControllerAjax.php?do=getselectmultiple',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var studentsubjectid = $('#studentsubjectid').val();
                var studentsubjectgroupid = $('#studentsubjectgroupid').val();
                if (studentsubjectid == '') {
                    var placeholder = $('#studentsubjectid').attr('data-placeholder');  
                    alert(' يجب اختيار  '+placeholder+' اولآ');
                    return false;
                }else  if (studentsubjectgroupid == '') {
                    var placeholder = $('#studentsubjectgroupid').attr('data-placeholder');  
                    alert(' يجب اختيار  '+placeholder+' اولآ');

                }
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    table: $(this).attr('data-table'),
                    del: $(this).attr('data-del'),
                    studentsubjectid: studentsubjectid,
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});

$(".getstudentnotexam").select2({
    allowClear: true,
    placeholder: "اختر الطالب",
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'studentsExamsController.php?do=getstudentnotexam',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    studentaddsubjectid: $('#studentaddsubjectid').val(),
                    studentsexamid: Number($('#studentsexamid').val()),
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});






$('body').on('change', '#getallstudenttime', function () {
        var studentid = Number($(this).val());
        var studentsexamid = Number($('#studentsexamid').val());
        $.post('studentsExamsController.php?do=getallstudenttime', {studentid: studentid, studentsexamid: studentsexamid}, function (result) {
            $('#getallstudenttimeli').append(result);
        });
});


$('body').on('change', '.examsstudent', function () {
        var id = Number($(this).attr('data-examsstudentid'));
        var greatdegree = Number($('#greatdegree').val());
        var examspresence = $("#examspresence"+id).attr("checked") ? 1 : '';
        var examsvalue = Number($('#examsvalue'+id).val());
        if (examspresence == '' && examsvalue != '') {
            alert("لا يمكن اضافة درجه للطالب وهو غائب ");
            $('#examsvalue'+id).val('');
        }
       
        // if (examspresence == '' && examsvalue) {
        //     $('#examsvalue'+id).val("");
        //     var examsvalue = "";
        //     alert("لا يمكن اضافة درجه للطالب وهو غائب ");
        //      return false;
        // }

        if (examsvalue > greatdegree) {
            $('#examsvalue'+id).val("");
            var examsvalue = "";
            alert("درجة الطالب اعلى من درجة الاختبار");
            return false;
        }

        $.post('studentsExamsController.php?do=examsstudent', {id: id, examsvalue: examsvalue, examspresence: examspresence}, function (result) {
            if (result != 1) {
                     alert('حدث خطأ أثناء التنفيذ');
            }
        });
});




 
$(".getselectpayment").select2({
    allowClear: true,
    placeholder: "اختر الطالب",
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'studentsPay.php?do=getselectpayment',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var itr = $(this).attr('data-itr');
                var parentcol = $(this).attr('data-parent');
                var parentid = $('#'+parentcol+itr).val();
                var placeholder = $('#'+parentcol+itr).attr('data-placeholder');  
                if (parentcol != '' && parentid == '') {
                    alert(' يجب اختيار  '+placeholder+' اولآ');
                    return false;
                }
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    table: $(this).attr('data-table'),
                    del: $(this).attr('data-del'),
                    filter: $(this).attr('data-filter'),
                    parentcol: parentcol,
                    parentid: parentid,
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});






$('body').on('click', '.removerowstudentspays', function () {
    var id = $(this).attr('data-id');
    if (confirm('هل انت متاكد من الحذف ؟')) {
        var thisis = $(this);
        $.post('studentsPay.php?do=removerowstudentspays', {id: id}, function (data) {
            if (data == 1) {
                $('#start_date').trigger('change');
            }else{
               alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});




$('body').on('click', '.studentspaysend', function () {
    var studentid = $(this).attr('data-id');
    $.post('studentsPay.php?do=studentspaysend', {studentid: studentid}, function (data) {
        $('#codes').text($.trim(data));
         document.execCommand("copy");
        if (data) {
             let copyFrom = document.createElement("textarea");
            document.body.appendChild(copyFrom);
            copyFrom.textContent = $.trim(data);
            copyFrom.select();
            document.execCommand("copy");
            copyFrom.remove();
            }else{
               alert('حدث خطأ أثناء التنفيذ');
            }
    });
});

$('body').on('click', '.studentspaysend2', function () {
    var studentid = $(this).attr('data-id');
    $.post('studentsPay.php?do=studentspaysend', {studentid: studentid}, function (data) {
        $('#codes').text($.trim(data));
         document.execCommand("copy");
        if (data) {
             let copyFrom = document.createElement("textarea");
            $('.modalbody').append(copyFrom);
            copyFrom.textContent = $.trim(data);
            copyFrom.select();
            document.execCommand("copy");
            copyFrom.remove();
            $('#exampleModal').modal('hide');
            window.location = 'studentsPay.php?do=show';  
            }else{
               alert('حدث خطأ أثناء التنفيذ');
            }
    });
});
// $(document).ready(function() {   
//  $('body').html( $('body').html()
//     .replace(/الطلاب/gi,'اللاعبين')
//     .replace(/الطالب/gi, 'اللاعب')
//     .replace(/المواد الدراسيه /gi, 'الالعاب')
//     .replace(/عرض المواد الدراسيه/gi, 'عرض الالعاب')
//     .replace(/اسم الماده /gi, 'اسم  اللعبه')
//     .replace(/سعر الماده /gi, 'سعر اللعبه')


// );
 

// });



$(".getselect").select2({
    allowClear: true,
    placeholder: "اختر الطالب",
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'studentControllerAjax.php?do=getselect',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var itr = $(this).attr('data-itr');
                var parentcol = $(this).attr('data-parent');
                var parentid = $('#'+parentcol+itr).val();
                var placeholder = $('#'+parentcol+itr).attr('data-placeholder');  
                if (parentcol != '' && parentid == '') {
                    alert(' يجب اختيار  '+placeholder+' اولآ');
                    return false;
                }
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    table: $(this).attr('data-table'),
                    del: $(this).attr('data-del'),
                    filter: $(this).attr('data-filter'),
                    parentcol: parentcol,
                    parentid: parentid,
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});






$('body').on('change', '.countmonths', function () {
        var countmonths = $(this).val();
        if (countmonths) {
           $('#countmonths').prop("required", true);
        }
});








$('body').on('click', '.newremoveclass', function () {
    var editcheck = $(this).attr('data-edit');
    var id = $(this).attr('data-id');
    var table = $(this).attr('data-container');
    var thisis = $(this);
    if (confirm('هل انت متاكد من الحذف ؟')) {
        if (editcheck == 1) {
            $.post('studentControllerAjax.php?do=removeteble', {id: id, table: table, editcheck: editcheck}, function (data) {
                if (data == 1) {
                    $('.'+table+editcheck+id).remove();
                }else{
                     alert('حدث خطأ أثناء التنفيذ');
                }
            });
        } else {
            $('.'+table+editcheck+id).remove();
        }
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});




$(".getselectparent").select2({
    allowClear: true,
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'studentControllerAjax.php?do=getselectparent',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var itr = $(this).attr('data-itr');
                var parentcol = $(this).attr('data-parent');
                var parentid = $('#'+parentcol+itr).val();
                var placeholder = $('#'+parentcol+itr).attr('data-placeholder');  
                if (parentcol != '' && parentid == '') {
                    alert(' يجب اختيار  '+placeholder+' اولآ');
                    return false;
                }

                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    table: $(this).attr('data-table'),
                    filter: $(this).attr('data-filter'),
                    parentid: parentid,
                    parentcol : parentcol,
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});




$("#getselect").select2({
    allowClear: true,
    placeholder: "اختر الطالب",
    // minimumInputLength: 1,
    multiple: false,
    quietMillis: 100,
    ajax: {
        url: 'studentControllerAjax.php?do=getselect',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"), 
                    table: $(this).attr('data-table'),
                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});









$('body').on('click', '.removesubjectsstudent', function () {
    var id = $(this).attr('data-id');
    if (confirm('هل انت متاكد من الحذف ؟')) {
        $.post('studentsAddSubject.php?do=removesubjectsstudent', {id: id}, function (data) {
            if (data == 1) {
                $('#removesubjectsstudent'+id).remove();
            }else{
                 alert('حدث خطأ أثناء التنفيذ');
            }
        });
    } else {
    alert('لماذا ضغطت إلغاء؟ يجب أن تكون قد أكدت');
    }
});




$('body').on('change', '.durations', function () {
    var durations = 0;
    $(".durations").each(function( ) {
           durations += Number($(this).val());
    });
    $("#durations").html(durations);
});

$('body').on('change', '.amounts', function () {
    var amounts = 0;
    $(".amounts").each(function( ) {
           amounts += Number($(this).val());
    });
    $("#amounts").html(amounts);
});



     
function selectedit(){
    $(".selectedit").each(function( ) {
          var ids = Number($(this).attr('data-id'));
          var texts = $(this).attr('data-text');
          var table = $(this).attr('data-table');
          $("#"+table).select2("data", {id: ids, text: texts});
    });

    var ids = Number($('#studentaddsubjectid').val());
    $.post('studentsAddSubject.php?do=getstudentedit', {ids: ids}, function (result) {
        var data = jQuery.parseJSON(result);
        $("#studentid").select2("data", data);     
    });
    
}


     
function deldata(){
    
    var deldata = Number($('.deldata').val());
    if(deldata > 1){
        $('input').attr('readonly', 'readonly');
         $('textarea').attr('readonly', 'readonly');    
        $("select").attr("disabled", "disabled");

    }
}


function selectedit2(){
    $(".selectedit").each(function( ) {
          var ids = Number($(this).attr('data-id'));
          var texts = $(this).attr('data-text');
          var table = $(this).attr('data-table');
          $("#"+table).select2("data", {id: ids, text: texts});
    });
    
}










$(".getstudentabsence").select2({
    allowClear: true,
    // minimumInputLength: 2,
    multiple: true,
    quietMillis: 100,
    ajax: {
        url: 'studentAbsence.php?do=getstudentabsence',
            dataType: 'json',
            type: "POST",
            data: function (term) {
                var studentaddsubjectid = $('#studentaddsubjectid').val();
                if (studentaddsubjectid == '') {
                    var placeholder = $('#studentaddsubjectid').attr('data-placeholder');  
                    alert(' يجب اختيار  '+placeholder+' اولآ');
                    return false;
                }
                return {
                    searchTerms: term,
                    tablesearch: $(this).attr("data-search"),      
                    studentaddsubjectid: studentaddsubjectid,

                };
            },
        results: function (data) {
            return {results: data};
        }
    },
    formatResult: function (data) {
        return  '<span>' + data.text + '</span >';

    },
    initSelection: function (element, callback) {
        var item = element.val().split(':');
         var data = {id: item[0], text: item[1]};
        callback(data);
    },
    //dropdownCssClass: "bigdrop", // apply css that makes the dropdown taller
});

$('body').on('change', '.sendmassagemanual', function () {
    var studentsubjectgroupid = $(this).val();
    if (studentsubjectgroupid > 0) {
    $.post('studentAbsence.php?do=sendmassagemanual', {studentsubjectgroupid: studentsubjectgroupid}, function (data) {
        if (data == 1) {
           $('#sendmassagemanual option[value="'+studentsubjectgroupid+'"]').attr("disabled", true);
            $("#sendmassagemanual").val('').change();
        }
    });
   }      
});


$('body').on('change', '.changeenddate', function () {
    
    var payid = $(this).attr('data-end');
    var dateend = $("#dateend"+payid).val();
    var datestart = $("#datestart"+payid).val();
    $.post('studentControllerAjax.php?do=changeenddate', {dateend: dateend, payid: payid, datestart: datestart}, function (data) {
            // if (data == 1) {
            //   $('#sendmassagemanual option[value="'+studentsubjectgroupid+'"]').attr("disabled", true);
            //     $("#sendmassagemanual").val('').change();
            // }
    });
   
});



$('body').on('change', '.getprojectdatareport', function () {
    var projectid = $("#projectid").val();
    var start_date = $("#start_date").val();
    var end_date = $("#end_date").val();
    $.post('projectsaccountreport.php?do=getproject', {projectid: projectid, start_date: start_date, end_date: end_date}, function (data) {
        $('#getproject').html(data);
    });   
});


$('body').on('change', '.reportdata', function () {
    var start_date = $("#start_date").val();
    var end_date = $("#end_date").val();
    var studentid = $("#studentid").val();
    var studentsubjectid = $("#studentsubjectid").val();
    var studentaddsubjectid = $("#studentaddsubjectid").val();
    var studentabsenceid = $("#studentabsenceid").val();
    var studentsexamid = $("#studentsexamid").val();
    var studentspaymentsystemid = $("#studentspaymentsystemid").val();
    var studentspayid = $("#studentspayid").val();
    var table = $(this).attr('data-table');
    var restall = $("#restall").val();
    if (restall == 0) {
    $.post('studentsReports.php?do='+table, {start_date: start_date, end_date: end_date, studentid: studentid, studentsubjectid: studentsubjectid,
     studentaddsubjectid: studentaddsubjectid, studentabsenceid: studentabsenceid, studentspaymentsystemid: studentspaymentsystemid,
      studentsexamid: studentsexamid, studentspayid: studentspayid, table: table}, function (data) {
        if (data) {
           $('#getdata').html(data);
           DataTablereload();

        }
    });
    }
      
});

$('body').on('click', '.restall', function () {
    $('#getdata').html('');
    $("#restall").val(1);
    var cd = (new Date()).toISOString().split('T')[0];
    $("#start_date").val(cd);
    $("#end_date").val(cd);
    $("#studentid").val('').change();
    $("#studentsubjectid").val('').change();
    $("#studentaddsubjectid").val('').change();
    $("#studentabsenceid").val('').change();
    $("#studentsexamid").val('').change();
    $("#studentspaymentsystemid").val('').change();
    $("#studentspayid").val('').change();
    $("#restall").val(0);
});
function DataTablereload(){

  $('.reportstable').dataTable({});
}




$('body').on('change', '.searchdetaildata', function () {
    var start_date = $("#start_date").val();
    var end_date = $("#end_date").val();
    var studentid = $("#studentid").val();
    var studentsubjectid = $("#studentsubjectid").val();
    var studentaddsubjectid = $("#studentaddsubjectid").val();
    var studentabsenceid = $("#studentabsenceid").val();
    var studentsexamid = $("#studentsexamid").val();
    var studentspaymentsystemid = $("#studentspaymentsystemid").val();
    var studentaddsubjectdetailid = $("#studentaddsubjectdetailid").val();
    var studentsexamsvalid = $("#studentsexamsvalid").val();
    var studentspayid = $("#studentspayid").val();
    var onlys = $(".onlys:checked").val();
    var table = $("#doget").val();
    var restall = $("#restall").val();
    // if (restall == 0) {
    $.post('studentsReports.php?do='+table, {start_date: start_date, end_date: end_date, studentid: studentid, studentsubjectid: studentsubjectid,
     studentaddsubjectid: studentaddsubjectid, studentabsenceid: studentabsenceid, studentspaymentsystemid: studentspaymentsystemid, onlys: onlys,
      studentsexamid: studentsexamid, studentspayid: studentspayid, studentaddsubjectdetailid: studentaddsubjectdetailid, studentsexamsvalid: studentsexamsvalid, table: table}, function (data) {
        if (data) {
           $('#getdata').html(data);
           DataTablereload();

        }
    });
    // }
      
});

$('body').on('click', '.restall2', function () {
    $('#getdata').html('');
    $("#restall").val(1);
    var cd = (new Date()).toISOString().split('T')[0];
    $("#start_date").val(cd);
    $("#end_date").val(cd);
    $("#studentid").val('').change();
    $("#studentsubjectid").val('').change();
    $("#studentaddsubjectid").val('').change();
    $("#studentabsenceid").val('').change();
    $("#studentsexamid").val('').change();
    $("#studentspaymentsystemid").val('').change();
    $("#studentspayid").val('').change();
    $("#restall").val(0);
});


$('body').on('change', '.studentpay', function () {
    var studentid = $(this).val();
    var studentaddsubjectid = $('#studentaddsubjectid').val();  
    var paykind = $(".paykind:checked").val(); 
    if (paykind == 2) {
       var countmonth = $('#studentspaymentsystemid').val(); 
    }else if (paykind == 1){
       var countmonth = studentaddsubjectid; 
    }else{
       var countmonth = $('#month').val(); 
    }
    $.post('studentsPay.php?do=getpaystudent', {studentid: studentid, studentaddsubjectid: studentaddsubjectid, paykind: paykind, countmonth: countmonth}, function (data) {
    if ($.trim(data) != ''){   
           $('.payenddate').val($.trim(data));
        }
        
    });
});


$('body').on('change', '.paykind', function () {
    var paykind = $(this).val();
    if(paykind == 1){
       $(".paymentsystems").hide(); 
       $(".countmonth").hide(); 
       $(".newprice").hide(); 
    }else if (paykind == 2){
       $(".countmonth").hide(); 
       $(".newprice").hide(); 
       $(".paymentsystems").show(); 
    }else{
       $(".newprice").show(); 
       $(".countmonth").show(); 
       $(".paymentsystems").hide(); 
        
    }
   
});


// replacetext();
// function replacetext(){
//     $.getJSON('studentControllerAjax.php?do=getsetting', function( data ) {
//         if(data.studentorplayer == 1){
//              $('body').html( 
//                 $('body').html()
//                 .replace(/الطلاب/gi,'اللاعبين')
//                 .replace(/الطالب/gi, 'اللاعب')
//                 .replace(/المواد الدراسيه /gi, 'الالعاب')
//                 .replace(/عرض المواد الدراسيه/gi, 'عرض الالعاب')
//                 .replace(/اسم الماده /gi, 'اسم  اللعبه')
//                 .replace(/سعر الماده /gi, 'سعر اللعبه')
//              );  
//         }
       
//     });
// };




